#include "logic.h"
#include "vsmt_load.h"
#include "vst_wait_transfer_ex.h"

VSMT_Load::VSMT_Load(int iID, const QString& sName)
    : VSMT_Base(iID, sName)
{

}

QDomElement VSMT_Load::WriteConfig(QDomDocument &doc, QDomElement &root)
{
   return CBase::WriteConfig(doc, root);
}

int VSMT_Load::ReadConfig(QDomElement &root)
{
    return CBase::ReadConfig(root);
}

void VSMT_Load::Serialize(QDataStream &stream, bool bwrite, int iVersion)
{
    CBase::Serialize(stream, bwrite, iVersion);
}

void VSMT_Load::init_Machine()
{

    m_pState_Wait = new VST_Wait_TransferEx(VarState_Wait_Transfer, QObject::trUtf8("Load Wait"), this);

    VSMT_Base::init_Machine();
}